import mods.jei.JEI;
import crafttweaker.api.tag.MCTag;
import mods.create.DeployerApplicationManager;
import mods.create.PressingManager;
import mods.create.CuttingManager;

//Vanilla Recipes

craftingTable.addShaped("mc_spore_blossom", <item:minecraft:spore_blossom>, [
    [<tag:items:minecraft:leaves>, <item:minecraft:moss_block>, <tag:items:minecraft:leaves>],
    [<item:the_vault:gem_larimar>, <tag:items:minecraft:small_flowers>, <item:the_vault:gem_larimar>],
    [<item:minecraft:pink_dye>, <item:minecraft:pink_dye>, <item:minecraft:pink_dye>]
]);


//Tags

<tag:items:forge:tools/axe>.add(<item:the_vault:axe>);


//Architects Palette

craftingTable.remove(<item:architects_palette:heavy_stone_bricks>);
craftingTable.addShaped("ap_heavy_stone_bricks", <item:architects_palette:heavy_stone_bricks>, [
    [<item:minecraft:stone_bricks>, <item:minecraft:stone_bricks>, <item:minecraft:stone_bricks>],
    [<item:minecraft:stone_bricks>, <item:minecraft:stone_bricks>, <item:minecraft:stone_bricks>],
    [<item:minecraft:stone_bricks>, <item:minecraft:stone_bricks>, <item:minecraft:stone_bricks>]
]);

craftingTable.remove(<item:architects_palette:weeping_blackstone_bricks>);
craftingTable.addShaped("weeping_blackstone_fix", <item:architects_palette:weeping_blackstone_bricks>*2, [
    [<item:minecraft:polished_blackstone_bricks>, <item:minecraft:weeping_vines>],
    [<item:minecraft:weeping_vines>, <item:minecraft:polished_blackstone_bricks>]
]);

craftingTable.remove(<item:architects_palette:twisting_blackstone_bricks>);
craftingTable.addShaped("twisting_blackstone_fix", <item:architects_palette:twisting_blackstone_bricks>*2, [
    [<item:minecraft:polished_blackstone_bricks>, <item:minecraft:twisting_vines>],
    [<item:minecraft:twisting_vines>, <item:minecraft:polished_blackstone_bricks>]
]);

craftingTable.remove(<item:architects_palette:unobtanium_block>);
craftingTable.addShaped("endless_unobtainium", <item:architects_palette:unobtanium_block>*32, [
    [<item:architects_palette:unobtanium>, <item:architects_palette:unobtanium>],
    [<item:architects_palette:unobtanium>, <item:architects_palette:unobtanium>]
]);


craftingTable.remove(<item:architects_palette:unobtanium>);
craftingTable.addShapeless("unobtanium_decrafting", <item:architects_palette:unobtanium>*8, [<item:architects_palette:unobtanium_block>]);


//Supplementaries Recipes

craftingTable.remove(<item:labels:label>);
craftingTable.addShaped("64x_label", <item:labels:label>*64, [
    [<item:minecraft:paper>, <item:minecraft:paper>, <item:minecraft:paper>],
    [<item:minecraft:paper>, <item:supplementaries:antique_ink>, <item:minecraft:paper>],
    [<item:minecraft:paper>, <item:minecraft:paper>, <item:minecraft:paper>]
]);

craftingTable.addShaped("16x_label", <item:labels:label>*16, [
    [<item:minecraft:paper>, <item:minecraft:paper>, <item:minecraft:paper>],
    [<item:minecraft:paper>, <item:minecraft:ink_sac>, <item:minecraft:paper>],
    [<item:minecraft:paper>, <item:minecraft:paper>, <item:minecraft:paper>]
]);


//Trapdoor Recipes

craftingTable.remove(<item:minecraft:oak_trapdoor>);
craftingTable.addShaped("ct_oak_trapdoor", <item:minecraft:oak_trapdoor> *12, [
    [<item:minecraft:oak_planks>, <item:minecraft:oak_planks>, <item:minecraft:oak_planks>],
    [<item:minecraft:oak_planks>, <item:minecraft:oak_planks>, <item:minecraft:oak_planks>]
]);

craftingTable.remove(<item:minecraft:spruce_trapdoor>);
craftingTable.addShaped("ct_spruce_trapdoor", <item:minecraft:spruce_trapdoor> *12, [
    [<item:minecraft:spruce_planks>, <item:minecraft:spruce_planks>, <item:minecraft:spruce_planks>],
    [<item:minecraft:spruce_planks>, <item:minecraft:spruce_planks>, <item:minecraft:spruce_planks>]
]);

craftingTable.remove(<item:minecraft:birch_trapdoor>);
craftingTable.addShaped("ct_birch_trapdoor", <item:minecraft:birch_trapdoor> *12, [
    [<item:minecraft:birch_planks>, <item:minecraft:birch_planks>, <item:minecraft:birch_planks>],
    [<item:minecraft:birch_planks>, <item:minecraft:birch_planks>, <item:minecraft:birch_planks>]
]);

craftingTable.remove(<item:minecraft:jungle_trapdoor>);
craftingTable.addShaped("ct_jungle_trapdoor", <item:minecraft:jungle_trapdoor> *12, [
    [<item:minecraft:jungle_planks>, <item:minecraft:jungle_planks>, <item:minecraft:jungle_planks>],
    [<item:minecraft:jungle_planks>, <item:minecraft:jungle_planks>, <item:minecraft:jungle_planks>]
]);

craftingTable.remove(<item:minecraft:acacia_trapdoor>);
craftingTable.addShaped("ct_acacia_trapdoor", <item:minecraft:acacia_trapdoor> *12, [
    [<item:minecraft:acacia_planks>, <item:minecraft:acacia_planks>, <item:minecraft:acacia_planks>],
    [<item:minecraft:acacia_planks>, <item:minecraft:acacia_planks>, <item:minecraft:acacia_planks>]
]);

craftingTable.remove(<item:minecraft:dark_oak_trapdoor>);
craftingTable.addShaped("ct_dark_oak_trapdoor", <item:minecraft:dark_oak_trapdoor> *12, [
    [<item:minecraft:dark_oak_planks>, <item:minecraft:dark_oak_planks>, <item:minecraft:dark_oak_planks>],
    [<item:minecraft:dark_oak_planks>, <item:minecraft:dark_oak_planks>, <item:minecraft:dark_oak_planks>]
]);

craftingTable.remove(<item:minecraft:crimson_trapdoor>);
craftingTable.addShaped("ct_crimson_trapdoor", <item:minecraft:crimson_trapdoor> *12, [
    [<item:minecraft:crimson_planks>, <item:minecraft:crimson_planks>, <item:minecraft:crimson_planks>],
    [<item:minecraft:crimson_planks>, <item:minecraft:crimson_planks>, <item:minecraft:crimson_planks>]
]);

craftingTable.remove(<item:minecraft:warped_trapdoor>);
craftingTable.addShaped("ct_warped_trapdoor", <item:minecraft:warped_trapdoor> *12, [
    [<item:minecraft:warped_planks>, <item:minecraft:warped_planks>, <item:minecraft:warped_planks>],
    [<item:minecraft:warped_planks>, <item:minecraft:warped_planks>, <item:minecraft:warped_planks>]
]);


// adding wood recipes

craftingTable.remove(<item:minecraft:oak_wood>);
craftingTable.addShaped("ct_oak_wood", <item:minecraft:oak_wood> *4, [
    [<item:minecraft:oak_log>, <item:minecraft:oak_log>],
    [<item:minecraft:oak_log>, <item:minecraft:oak_log>]
]);

craftingTable.remove(<item:minecraft:stripped_oak_wood>);
craftingTable.addShaped("ct_stripped_oak_wood", <item:minecraft:stripped_oak_wood> *4, [
    [<item:minecraft:stripped_oak_log>, <item:minecraft:stripped_oak_log>],
    [<item:minecraft:stripped_oak_log>, <item:minecraft:stripped_oak_log>]
]);

craftingTable.remove(<item:minecraft:spruce_wood>);
craftingTable.addShaped("ct_spruce_wood", <item:minecraft:spruce_wood> *4, [
    [<item:minecraft:spruce_log>, <item:minecraft:spruce_log>],
    [<item:minecraft:spruce_log>, <item:minecraft:spruce_log>]
]);

craftingTable.remove(<item:minecraft:stripped_spruce_wood>);
craftingTable.addShaped("ct_stripped_spruce_wood", <item:minecraft:stripped_spruce_wood> *4, [
    [<item:minecraft:stripped_spruce_log>, <item:minecraft:stripped_spruce_log>],
    [<item:minecraft:stripped_spruce_log>, <item:minecraft:stripped_spruce_log>]
]);

craftingTable.remove(<item:minecraft:birch_wood>);
craftingTable.addShaped("ct_birch_wood", <item:minecraft:birch_wood> *4, [
    [<item:minecraft:birch_log>, <item:minecraft:birch_log>],
    [<item:minecraft:birch_log>, <item:minecraft:birch_log>]
]);

craftingTable.remove(<item:minecraft:stripped_birch_wood>);
craftingTable.addShaped("ct_stripped_birch_wood", <item:minecraft:stripped_birch_wood> *4, [
    [<item:minecraft:stripped_birch_log>, <item:minecraft:stripped_birch_log>],
    [<item:minecraft:stripped_birch_log>, <item:minecraft:stripped_birch_log>]
]);

craftingTable.remove(<item:minecraft:jungle_wood>);
craftingTable.addShaped("ct_jungle_wood", <item:minecraft:jungle_wood> *4, [
    [<item:minecraft:jungle_log>, <item:minecraft:jungle_log>],
    [<item:minecraft:jungle_log>, <item:minecraft:jungle_log>]
]);

craftingTable.remove(<item:minecraft:stripped_jungle_wood>);
craftingTable.addShaped("ct_stripped_jungle_wood", <item:minecraft:stripped_jungle_wood> *4, [
    [<item:minecraft:stripped_jungle_log>, <item:minecraft:stripped_jungle_log>],
    [<item:minecraft:stripped_jungle_log>, <item:minecraft:stripped_jungle_log>]
]);

craftingTable.remove(<item:minecraft:acacia_wood>);
craftingTable.addShaped("ct_acacia_wood", <item:minecraft:acacia_wood> *4, [
    [<item:minecraft:acacia_log>, <item:minecraft:acacia_log>],
    [<item:minecraft:acacia_log>, <item:minecraft:acacia_log>]
]);

craftingTable.remove(<item:minecraft:stripped_acacia_wood>);
craftingTable.addShaped("ct_stripped_acacia_wood", <item:minecraft:stripped_acacia_wood> *4, [
    [<item:minecraft:stripped_acacia_log>, <item:minecraft:stripped_acacia_log>],
    [<item:minecraft:stripped_acacia_log>, <item:minecraft:stripped_acacia_log>]
]);

craftingTable.remove(<item:minecraft:dark_oak_wood>);
craftingTable.addShaped("ct_dark_oak_wood", <item:minecraft:dark_oak_wood> *4, [
    [<item:minecraft:dark_oak_log>, <item:minecraft:dark_oak_log>],
    [<item:minecraft:dark_oak_log>, <item:minecraft:dark_oak_log>]
]);

craftingTable.remove(<item:minecraft:stripped_dark_oak_wood>);
craftingTable.addShaped("ct_stripped_dark_oak_wood", <item:minecraft:stripped_dark_oak_wood> *4, [
    [<item:minecraft:stripped_dark_oak_log>, <item:minecraft:stripped_dark_oak_log>],
    [<item:minecraft:stripped_dark_oak_log>, <item:minecraft:stripped_dark_oak_log>]
]);

craftingTable.remove(<item:minecraft:crimson_hyphae>);
craftingTable.addShaped("ct_crimson_hyphae", <item:minecraft:crimson_hyphae> *4, [
    [<item:minecraft:crimson_stem>, <item:minecraft:crimson_stem>],
    [<item:minecraft:crimson_stem>, <item:minecraft:crimson_stem>]
]);

craftingTable.remove(<item:minecraft:stripped_crimson_hyphae>);
craftingTable.addShaped("ct_stripped_crimson_hyphae", <item:minecraft:stripped_crimson_hyphae> *4, [
    [<item:minecraft:stripped_crimson_stem>, <item:minecraft:stripped_crimson_stem>],
    [<item:minecraft:stripped_crimson_stem>, <item:minecraft:stripped_crimson_stem>]
]);

craftingTable.remove(<item:minecraft:warped_hyphae>);
craftingTable.addShaped("ct_warped_hyphae", <item:minecraft:warped_hyphae> *4, [
    [<item:minecraft:warped_stem>, <item:minecraft:warped_stem>],
    [<item:minecraft:warped_stem>, <item:minecraft:warped_stem>]
]);

craftingTable.remove(<item:minecraft:stripped_warped_hyphae>);
craftingTable.addShaped("ct_stripped_warped_hyphae", <item:minecraft:stripped_warped_hyphae> *4, [
    [<item:minecraft:stripped_warped_stem>, <item:minecraft:stripped_warped_stem>],
    [<item:minecraft:stripped_warped_stem>, <item:minecraft:stripped_warped_stem>]
]);

//Etched Recipes

craftingTable.addShaped("deal_with_it", <item:etched:blank_music_disc>, [
    [<item:the_vault:carbon>, <item:the_vault:polished_vault_stone>, <item:the_vault:carbon>],
    [<item:the_vault:polished_vault_stone>, <item:quark:blank_rune>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:carbon>, <item:the_vault:polished_vault_stone>, <item:the_vault:carbon>]
]);


//Metal Barrel Recipes

craftingTable.removeByModid("metalbarrels");

craftingTable.addShaped("mb_copper_barrel", <item:metalbarrels:copper_barrel>, [
    [<item:the_vault:chromatic_iron_ingot>, <item:minecraft:copper_block>, <item:the_vault:chromatic_iron_ingot>],
    [<item:minecraft:copper_ingot>, <item:minecraft:barrel>, <item:minecraft:copper_ingot>],
    [<item:the_vault:chromatic_iron_ingot>, <item:minecraft:copper_block>, <item:the_vault:chromatic_iron_ingot>]
]);

craftingTable.addShaped("mb_iron_barrel", <item:metalbarrels:iron_barrel>, [
    [<item:the_vault:chromatic_iron_block>, <item:minecraft:iron_block>, <item:the_vault:chromatic_iron_block>],
    [<item:minecraft:iron_ingot>, <item:metalbarrels:copper_barrel>, <item:minecraft:iron_ingot>],
    [<item:the_vault:chromatic_iron_block>, <item:minecraft:iron_block>, <item:the_vault:chromatic_iron_block>]
]);

craftingTable.addShaped("mb_gold_barrel", <item:metalbarrels:gold_barrel>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:gold_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:minecraft:gold_ingot>, <item:metalbarrels:iron_barrel>, <item:minecraft:gold_ingot>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:gold_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_diamond_barrel", <item:metalbarrels:diamond_barrel>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:vault_diamond>, <item:metalbarrels:gold_barrel>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_obsidian_barrel", <item:metalbarrels:obsidian_barrel>, [
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_block>, <item:metalbarrels:diamond_barrel>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>]
]);

smithing.remove(<item:metalbarrels:netherite_barrel>);
craftingTable.addShaped("mb_netherite_barrel", <item:metalbarrels:netherite_barrel>, [
    [<item:the_vault:black_chromatic_steel_ingot>, <item:minecraft:netherite_ingot>, <item:the_vault:black_chromatic_steel_ingot>],
    [<item:the_vault:chromatic_steel_block>, <item:metalbarrels:obsidian_barrel>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:black_chromatic_steel_ingot>, <item:minecraft:netherite_block>, <item:the_vault:black_chromatic_steel_ingot>]
]);

//Metal Barrels Wooden Upgrades

craftingTable.addShaped("mb_wtc_upgrade", <item:metalbarrels:wood_to_copper>, [
    [<item:the_vault:chromatic_iron_ingot>, <item:minecraft:copper_block>, <item:the_vault:chromatic_iron_ingot>],
    [<item:minecraft:copper_ingot>, <tag:items:minecraft:planks>, <item:minecraft:copper_ingot>],
    [<item:the_vault:chromatic_iron_ingot>, <item:minecraft:copper_block>, <item:the_vault:chromatic_iron_ingot>]
]);

craftingTable.addShaped("mb_wti_upgrade", <item:metalbarrels:wood_to_iron>, [
    [<item:the_vault:chromatic_iron_block>, <item:minecraft:iron_block>, <item:the_vault:chromatic_iron_block>],
    [<item:minecraft:iron_ingot>, <item:metalbarrels:wood_to_copper>, <item:minecraft:iron_ingot>],
    [<item:the_vault:chromatic_iron_block>, <item:minecraft:iron_block>, <item:the_vault:chromatic_iron_block>]
]);

craftingTable.addShaped("mb_wtg_upgrade", <item:metalbarrels:wood_to_gold>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:gold_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:minecraft:gold_ingot>, <item:metalbarrels:wood_to_iron>, <item:minecraft:gold_ingot>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:gold_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_wtd_upgrade", <item:metalbarrels:wood_to_diamond>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:vault_diamond>, <item:metalbarrels:wood_to_gold>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_wto_upgrade", <item:metalbarrels:wood_to_obsidian>, [
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_block>, <item:metalbarrels:wood_to_diamond>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>]
]);
craftingTable.addShaped("mb_wtn_upgrade", <item:metalbarrels:wood_to_netherite>, [
    [<item:the_vault:black_chromatic_steel_ingot>, <item:minecraft:netherite_ingot>, <item:the_vault:black_chromatic_steel_ingot>],
    [<item:the_vault:chromatic_steel_block>, <item:metalbarrels:wood_to_obsidian>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:black_chromatic_steel_ingot>, <item:minecraft:netherite_block>, <item:the_vault:black_chromatic_steel_ingot>]
]);

//Metal Barrels Copper Upgrades

craftingTable.addShaped("mb_cti_upgrade", <item:metalbarrels:copper_to_iron>, [
    [<item:the_vault:chromatic_iron_block>, <item:minecraft:iron_block>, <item:the_vault:chromatic_iron_block>],
    [<item:minecraft:iron_ingot>, <item:minecraft:copper_ingot>, <item:minecraft:iron_ingot>],
    [<item:the_vault:chromatic_iron_block>, <item:minecraft:iron_block>, <item:the_vault:chromatic_iron_block>]
]);

craftingTable.addShaped("mb_ctg_upgrade", <item:metalbarrels:copper_to_gold>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:gold_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:minecraft:gold_ingot>, <item:metalbarrels:copper_to_iron>, <item:minecraft:gold_ingot>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:gold_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_ctd_upgrade", <item:metalbarrels:copper_to_diamond>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:vault_diamond>, <item:metalbarrels:copper_to_gold>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_cto_upgrade", <item:metalbarrels:copper_to_obsidian>, [
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_block>, <item:metalbarrels:copper_to_diamond>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>]
]);

//Metal Barrels Iron Upgrades

craftingTable.addShaped("mb_itg_upgrade", <item:metalbarrels:iron_to_gold>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:gold_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:minecraft:gold_ingot>, <item:minecraft:iron_ingot>, <item:minecraft:gold_ingot>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:gold_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_itd_upgrade", <item:metalbarrels:iron_to_diamond>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:vault_diamond>, <item:metalbarrels:iron_to_gold>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_ito_upgrade", <item:metalbarrels:iron_to_obsidian>, [
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_block>, <item:metalbarrels:iron_to_diamond>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>]
]);

//Metal Barrels Gold Upgrades

craftingTable.addShaped("mb_gtd_upgrade", <item:metalbarrels:gold_to_diamond>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:vault_diamond>, <item:minecraft:gold_ingot>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_ingot>, <item:minecraft:diamond_block>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.addShaped("mb_gto_upgrade", <item:metalbarrels:gold_to_obsidian>, [
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_block>, <item:metalbarrels:gold_to_diamond>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>]
]);

//Metal Barrels Final Upgrades

craftingTable.addShaped("mb_dto_upgrade", <item:metalbarrels:diamond_to_obsidian>, [
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>],
    [<item:the_vault:chromatic_steel_block>, <item:minecraft:diamond>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:vault_diamond>, <item:compressium:obsidian_1>, <item:the_vault:vault_diamond>]
]);

craftingTable.addShaped("mb_otn_upgrade", <item:metalbarrels:obsidian_to_netherite>, [
    [<item:the_vault:black_chromatic_steel_ingot>, <item:minecraft:netherite_ingot>, <item:the_vault:black_chromatic_steel_ingot>],
    [<item:the_vault:chromatic_steel_block>, <item:minecraft:obsidian>, <item:the_vault:chromatic_steel_block>],
    [<item:the_vault:black_chromatic_steel_ingot>, <item:minecraft:netherite_block>, <item:the_vault:black_chromatic_steel_ingot>]
]);


//CCTweaked Recipes

craftingTable.remove(<item:computercraft:computer_normal>);
craftingTable.addShaped("simple_computer", <item:computercraft:computer_normal>, [
    [<item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:compressium:redstone_1>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:minecraft:tinted_glass>, <item:the_vault:polished_vault_stone>]
]);

craftingTable.remove(<item:computercraft:computer_advanced>);
craftingTable.addShaped("advance_computer", <item:computercraft:computer_advanced>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:the_vault:chromatic_steel_ingot>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:chromatic_steel_ingot>, <item:computercraft:computer_normal>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:chromatic_steel_ingot>, <item:the_vault:perfect_larimar>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.remove(<item:computercraft:cable>);
craftingTable.addShaped("cc_cable", <item:computercraft:cable> * 24, [
    [<item:minecraft:air>, <item:the_vault:chromatic_iron_ingot>, <item:minecraft:air>],
    [<item:the_vault:perfect_larimar>, <item:minecraft:redstone_block>, <item:the_vault:perfect_larimar>],
    [<item:minecraft:air>, <item:the_vault:chromatic_iron_ingot>, <item:minecraft:air>]
]);

craftingTable.remove(<item:computercraft:speaker>);
craftingTable.addShaped("cc_speaker", <item:computercraft:speaker>, [
    [<item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:supplementaries:speaker_block>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:minecraft:redstone_block>, <item:the_vault:polished_vault_stone>]
]);

craftingTable.remove(<item:computercraft:disk_drive>);
craftingTable.addShaped("cc_disk_drive", <item:computercraft:disk_drive>, [
    [<item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:minecraft:redstone_block>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:minecraft:redstone_block>, <item:the_vault:polished_vault_stone>]
]);

craftingTable.remove(<item:computercraft:printer>);
craftingTable.addShaped("cc_printer", <item:computercraft:printer>, [
    [<item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:minecraft:redstone_block>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:minecraft:writable_book>, <item:the_vault:polished_vault_stone>]
]);

craftingTable.remove(<item:computercraft:monitor_normal>);
craftingTable.addShaped("cc_monitor", <item:computercraft:monitor_normal>, [
    [<item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:the_vault:perfect_larimar>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>, <item:the_vault:polished_vault_stone>]
]);

craftingTable.remove(<item:computercraft:monitor_advanced>);
craftingTable.addShaped("cc_advance_monitor", <item:computercraft:monitor_advanced>, [
    [<item:the_vault:chromatic_steel_ingot>, <item:the_vault:chromatic_steel_ingot>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:chromatic_steel_ingot>, <item:computercraft:monitor_normal>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:chromatic_steel_ingot>, <item:the_vault:chromatic_steel_ingot>, <item:the_vault:chromatic_steel_ingot>]
]);

craftingTable.remove(<item:computercraft:wireless_modem_normal>);
craftingTable.addShaped("cc_wireless_modem", <item:computercraft:wireless_modem_normal>, [
    [<item:the_vault:polished_vault_stone>, <item:the_vault:chromatic_steel_ingot>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:chromatic_steel_ingot>, <item:the_vault:extraordinary_larimar>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:polished_vault_stone>, <item:the_vault:chromatic_steel_ingot>, <item:the_vault:polished_vault_stone>]
]);

craftingTable.remove(<item:computercraft:wired_modem>);
craftingTable.addShaped("cc_wired_modem", <item:computercraft:wired_modem>, [
    [<item:the_vault:polished_vault_stone>, <item:the_vault:chromatic_steel_ingot>, <item:the_vault:polished_vault_stone>],
    [<item:the_vault:chromatic_steel_ingot>, <item:the_vault:perfect_larimar>, <item:the_vault:chromatic_steel_ingot>],
    [<item:the_vault:polished_vault_stone>, <item:the_vault:chromatic_steel_ingot>, <item:the_vault:polished_vault_stone>]
]);

craftingTable.remove(<item:computercraft:wireless_modem_advanced>);
craftingTable.addShaped("name", <item:computercraft:wireless_modem_advanced> * 12, [
    [<item:minecraft:ender_eye>, <item:computercraft:wireless_modem_normal>, <item:minecraft:ender_eye>],
    [<item:computercraft:wireless_modem_normal>, <item:the_vault:gem_pog>, <item:computercraft:wireless_modem_normal>],
    [<item:minecraft:ender_eye>, <item:computercraft:wireless_modem_normal>, <item:minecraft:ender_eye>]
]);

craftingTable.remove(<item:computercraft:turtle_normal>);
craftingTable.addShaped("cc_turtle", <item:computercraft:turtle_normal>, [
    [<item:the_vault:black_chromatic_steel_ingot>, <item:the_vault:echo_pog>, <item:the_vault:black_chromatic_steel_ingot>],
    [<item:the_vault:black_chromatic_steel_ingot>, <item:computercraft:computer_normal>, <item:the_vault:black_chromatic_steel_ingot>],
    [<item:the_vault:black_chromatic_steel_ingot>, <item:minecraft:chest>, <item:the_vault:black_chromatic_steel_ingot>]
]);

craftingTable.remove(<item:computercraft:turtle_advanced>);
craftingTable.addShaped("cc_advanced_turtle", <item:computercraft:turtle_advanced>, [
    [<item:the_vault:black_chromatic_steel_ingot>, <item:the_vault:echo_pog>, <item:the_vault:black_chromatic_steel_ingot>],
    [<item:the_vault:black_chromatic_steel_ingot>, <item:computercraft:computer_advanced>, <item:the_vault:black_chromatic_steel_ingot>],
    [<item:the_vault:black_chromatic_steel_ingot>, <item:minecraft:chest>, <item:the_vault:black_chromatic_steel_ingot>]
]);

craftingTable.remove(<item:computercraft:pocket_computer_normal>);
craftingTable.remove(<item:computercraft:pocket_computer_advanced>);

<recipetype:create:pressing>.addRecipe("pressed_computer", [<item:computercraft:pocket_computer_normal>], <item:computercraft:computer_normal>, 2000);
<recipetype:create:pressing>.addRecipe("pressed_computer_advanced", [<item:computercraft:pocket_computer_advanced>], <item:computercraft:computer_advanced>, 2000);


//Creates Recipes

<recipetype:create:cutting>.addRecipe("sawing_living_wood_logs", [<item:botania:livingwood_stairs>, <item:botania:livingwood_slab>*2, <item:botania:livingwood_wall>, <item:botania:stripped_livingwood_stairs>, <item:botania:stripped_livingwood_slab>*2, <item:botania:stripped_livingwood_wall>], <tag:items:botania:livingwood_logs>, 200);

<recipetype:create:cutting>.addRecipe("sawing_living_wood_planks", [<item:botania:livingwood_fence>*2, <item:botania:livingwood_fence_gate>, <item:botania:livingwood_planks_stairs>, <item:botania:livingwood_planks_slab>*2], <item:botania:livingwood_planks>, 200);


//Small Ships Recipes

craftingTable.addShaped("ship_cannon", <item:smallships:cannon_item>, [
    [<item:minecraft:air>, <item:minecraft:air>, <item:minecraft:string>],
    [<item:minecraft:iron_block>, <item:minecraft:iron_block>, <item:minecraft:air>],
    [<item:minecraft:cobbled_deepslate>, <tag:items:minecraft:wooden_slabs>, <item:minecraft:cobbled_deepslate>]
]);

craftingTable.addShaped("16x_cannonball", <item:smallships:cannonball_item>*16, [
    [<item:minecraft:iron_nugget>, <item:minecraft:cobbled_deepslate>, <item:minecraft:iron_nugget>],
    [<item:minecraft:cobbled_deepslate>, <item:minecraft:gunpowder>, <item:minecraft:cobbled_deepslate>],
    [<item:minecraft:iron_nugget>, <item:minecraft:cobbled_deepslate>, <item:minecraft:iron_nugget>]
]);

craftingTable.addShaped("64x_cannonball", <item:smallships:cannonball_item>*64, [
    [<item:the_vault:chromatic_iron_nugget>, <item:the_vault:vault_cobblestone>, <item:the_vault:chromatic_iron_nugget>],
    [<item:the_vault:vault_cobblestone>, <item:minecraft:gunpowder>, <item:the_vault:vault_cobblestone>],
    [<item:the_vault:chromatic_iron_nugget>, <item:the_vault:vault_cobblestone>, <item:the_vault:chromatic_iron_nugget>]
]);


//Vault Recipes

craftingTable.addShapeless("vault_alloy_scrap_ingot", <item:the_vault:vault_alloy>, [<item:the_vault:vaulterite_ingot>, <item:the_vault:vault_ingot>]);